Subject: Re: [PATCH 2/3] Makefile: Reorder linker flags in the git executable rule

From: Jeff King <[email-masked]>
Date: Tue, 28 Oct 2014 18:12:23 -0400

On Mon, Oct 27, 2014 at 10:42:21AM -0700, Junio C Hamano wrote:

> >> I believe I can work around the error with an "export _C89_CCMODE=1",
> >> but I thought I'd send the patch since this is the only occurrence of
> >> the problem, and the argument order is inconsistent with other linker
> >> commands in the file.
> >
> > I don't think working around it makes sense. That would fix your case,
> > but nobody else's (though given how long it has been that way without
> > complaints, I suspect any other compilers this picky may have died off).
> 
> I think you meant s/nobody else's/breaks &/;

I meant "using the _C_89_CCMODE workaround does not help anybody else,
because their compiler will not support it; instead we should fix the
Makefile as David originally proposed".

I think we are still agreeing, though. :)

-Peff